import GC from '@grapecity/spread-sheets';
export declare function regularRange(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): GC.Spread.Sheets.Range;
export declare function isRowFullSelected(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): boolean;
export declare function isColumnFullSelected(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): boolean;
export declare function isSheetFullSelected(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): boolean;
export declare function getRangeRect(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): {
    x: number;
    y: number;
    width: number;
    height: number;
};
export declare function getCellOffset(sheet: GC.Spread.Sheets.Worksheet, row: number, col: number): {
    x: number;
    y: number;
};
export declare function getRangeOffset(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): {
    x: number;
    y: number;
};
export declare function getRangeOffsetRect(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): {
    x: number;
    y: number;
    width: number;
    height: number;
};
